Hypetech Parceiros
Início
Hypetech Games
Início
Hypetech Games
  1. Sessions
  • Overview
  • About Hypetech API
  • Mandatory validation rules
  • Setup Webhook
  • Signature Verification
  • Error Handling
  • APIs
    • Acessing games
      • Create Session
      • Get Game List
    • Sessions
      • Session Transactions
        GET
      • Active Sessions
        GET
    • Webhook
      • Register Bet
      • Register Win
      • Balance
      • Rollback
    • Promotional
      • Free bet
        • Redeem Free Bet
  1. Sessions

Session Transactions

GET
/sessions/{sessionId}/transactions
Returns the list of transactions made in the session

Requisição

Authorization
Forneça seu token bearer no cabeçalho
Authorization
ao fazer requisições para recursos protegidos.
Exemplo:
Authorization: Bearer ********************
Parâmetros de Caminho

Parâmetros de Consulta

Parâmetros Bodyapplication/json

Respostas

🟢200OK
application/json
Bodyapplication/json

🟠401Not authorized
🟠404Route not found
🔴500Internal server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://player.api.hypetech.games/sessions//transactions?pageSize=undefined&pageNumber=undefined' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
Response Response Example
200 - Sucesso
{
  transactions: [
    {
    transactionId: '10001',
    roundId: 'ROUND_ABC_001',
    transactionType: 'BET',
    requestedAt: '2026-05-04T14: 30: 00Z',
    transactionStatus: 'SUCCESS',
    amount: 50,
    roundStatus: 'FINISHED'
    },
  ],
  pagination: {
    pageSize: 20,
    pageNumber: 1,
    totalPages: 1,
    totalItems: 1
  }
}
Modificado em 2026-05-04 20:35:39
Página anterior
Get Game List
Próxima página
Active Sessions